Create bulk cards V2

This web service allows to create blank cards in bulk. Blank card means a card with no account and no customer linked to it. Bank will use this api to create bulk cards in advance and print it through manufacturer.


Customer when requires an instant card, bank will create account, customer and link to blank card.

 

For linking blank card with new customer, use below api


/pws/v2/pws_link_card_acc

Version 2 create bulk cards api support idempotency:

  • If the previous api request was a success and the client sends the same api_unique_identifier, then the previous response will be returned.
  • If the previous request fails and the client send the sameapi_unique_identifier, then the new create bulk card request will be processed with the incoming API parameters.

Body Params
string
required
length between 1 and 40

Unique number that must be passed at each API request. Identifier to make each API request unique

int32
required
≥ 1

Unique identifier for the client which Paymentology will provide at outset

int32
required
≥ 1

Card product id (Need to input correct product id for your card so it will inherit full required properties and be fully linked with business.)

int32
required
≤ 32767

Status network :

  • 1000 : Fully operational DE39=00
  • 1001 : Refer to issuer DE39=01
  • 1004 : Capture card DE39=04
  • 1005 : Decline all txns DE39=05
  • 1008 : Honour with ID DE39=08
  • 1041 : Lost card - capture DE39= 41
  • 1043 : Stolen card - capture DE39=43
  • 1054 : Expired card - report DE39=54
  • 1154 : Expire card - don't inform
  • 1062 : Restricted card
  • 1199 : Void card - report DE39=05
int32
required
≥ 1

Total number of cards to be created

string
length between 0 and 50

User Id of the Customer who triggered the API request.

string
length between 0 and 200

Remarks for API request

string
length between 0 and 32

Flags for token to assign various tasks to the card. 0 ==>Flag inactive | 1==> Flag Active . Descriptions for each tok flag bits are given below :

TOK_DESCRIPTIONBIT_POSITION
Send card bal in De54 in next auth3
Send pin unblock to card4
Sets card to decline all tranasaction except ecommerce5
Set card to decline all Contactless transaction6
Sets card to decline all Ecommerce9
Sets card to decline all ATM10
Sets card to deline Bal enquiry over auth11
Sets card to decline cash back txns12
Sets card to decline Auth credit pur/refund (DE3_1=20)14
Sets card to decline credit payment (DE3_1=28)19
Sets card to decline non base currency txn20
Sets card to decline all account enq (de61_7=8)21
sets card to decline card not present txns22
sets card to decline Cardholder not present txns23
sets card to decline failover to mag at emv capable atm24
sets card to decline mag at atm25
Alow if fallback chp->mag at chp capable pos DE22_1=8026
Allow if de22_1=02 & De48_88 =Y27
Sets card to approve if AVS match fails28
Set card to decline Recurring transaction29
string

Expiry Date, accepted format yyyy-mm-dd hh:mm:ss.
If not provided, default expiry from product is inherited.

string
enum
length between 0 and 100

Unique client reference relating to order, card or customer where present should always be quoted in correspondence.

Allowed:
string
length between 0 and 50

Image template name for the card to be generated. This field is case sensitive. Card image has to be populated as configured in paycontrol.

string
length between 0 and 30

Name that appears in front of the card.

string
length between 1 and 1

Authorization Type :

  • 0==>Internal
  • 1==>External
  • 2==> Notification
manufacturer_detail
object
delivery_detail
object
Responses

404

Webservices does not exist

500

Internal Server error

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json